Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
  • Pay
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
  • Pay
Go to amili.no
  1. Customers
  • Home
    • Welcome to Amili Docs
    • Responsible disclosure
    • Become a partner
  • Debt Collection
    • About the AutoCollect API
    • Getting started with the AutoCollect API
    • Webhooks
    • Example Workflow
    • Batches
      • GetBatchById
      • GetBatchesByOrganization
      • GetBatchById - Legacy (To be removed)
    • Collections
      • GetCasesByOrganization
      • AcceptDebtCollectionList
      • RejectDebtCollectionList
      • PauseCase
      • WithdrawCase
      • ResumeCase
      • AcceptEvictionRequest
      • RejectEvictionRequest
      • AcceptEvictionConfirmation
      • RejectEvictionConfirmation
      • GetCaseTimeline
      • GetTaskView
      • UpdateTask
      • GetCaseById
    • Correction
      • CreateCorrections
    • Invoice
      • CreateInvoices
      • GetInvoicesByOrganization
      • GetInvoiceById
    • Payment
      • CreatePayments
    • Settlement
      • GetSettlements
      • GetSettlement on Id
    • AutoCollect Legacy API
      • Attachment
        • /webapi/api/Attachment
      • Batch
        • /webapi/api/Batch
        • /webapi/api/Batch
      • Ping
        • /webapi/api/Ping
    • ErrorHandling
      • How to
      • Codes
        • DUPLICATE_UNIQUE_SOURCE_PAYMENT_ID
  • Accounts Receivable
    • Actions
      • POST (create) an action
      • POST (create) a reports action/generate a report
    • ArItems
      • GET a list of AR items
      • PUT (update) ar item details
      • GET one AR item
    • AutoPostings
      • POST (create) one or more auto postings
    • Batches
      • GET one batch
    • ClientConfigs
      • GET a list of client config values
      • GET values for one client config key
    • Codes
      • GET ARM system code values
    • Customers
      • POST (create) one customer
        POST
      • PUT (update) one customer
        PUT
      • GET a list of customers
        GET
      • GET one customer
        GET
      • DELETE a customer
        DELETE
      • POST (create) a batch of customers
        POST
      • PUT (update) a batch of customers
        PUT
    • DocumentBundles
      • GET a list of document bundles
      • GET one document bundle
    • Documents
      • POST (create) one document
      • GET a list of documents
      • GET one document
      • POST (create) a batch of documents
    • Files
      • GET one or more OS files
      • POST (upload) one or more OS files
      • GET one OS file
    • GlItems
      • Get one GL item
      • GET a list of GL items
    • GlMovements
      • Get movement/balance for the latest closed GL year/period
      • GET a list of GL movements/balances
    • Insights
      • GET a list of ADB intervals
    • LogItems
      • GET one log item
      • GET a list of log items
    • PaymentReservations
      • POST (create) a new payment reservation
    • Health
      • Check API health
  • PAY
    • AmiliPay API Introduction
    • Industry Categories Reference
    • Webhooks Reference
    • Merchant
      • List all customers
      • Create customer
      • Retrieve customer
      • Update customer
      • Create customer token
      • Retrieve pricing for a merchant
      • Update pricing for a merchant
      • List a customer's accepted agreements
    • User
      • List all users
      • Create user
      • Retrieve user
      • Update user
      • Delete user
    • Onboarding
      • Create onboarding application
      • Retrieve onboarding application
      • Update onboarding application
      • Delete onboarding application
      • Start processing onboarding
      • Delete onboarding shareholder
      • Create onboarding document
      • Retrieve onboarding document
      • Delete onboarding document
      • Retrieve available account agreements
      • Create onboarding agreement
      • Mark selected agreement as an accepted by the account
      • Retrieve a single agreement
      • Update onboarding agreement
      • Deactivate agreement
    • Invoice
      • List all invoices
      • Create invoice
      • Retrieve invoice
      • Update invoice
      • Delete invoice
      • Refund invoice
    • Transactions
      • Get invoice transactions
    • Payout
      • List all payouts
      • Retrieve payout
      • Retrieve payout details
    • Product lines classification
      • Upload a CSV file
      • Manually get processed CSV file path
      • Download a previously uploaded CSV file
  1. Customers

PUT (update) one customer

PUT
/clients/{clientno}/customers
Update details on an existing customer.
If a field (key-value pair) is missing from the input data set or the input value is null, existing data on the customer will be kept unchanged;
Except: If you change at least one of the fields in the postal address field group (PAFG), all fields in the postal address field group will be changed. Blank ("") is a valid value to change to. I.e. if you pass in a value for postalAddress1, but not for any of the other fields in the postal address field group, the other fields in the group will be set to blank. If you for example want to change the spelling of the street address or add a country code to an existing address, you must supply relevant values for all PAFG fields. If you don't want to change postal address, all PAFG fields must be null, same as before or not present in input. PAFG fields are: all fields under postalAddress except name
There are two ways to update/PUT customers:
Use PUT /clients/{clientno}/customers to update one customer; input one customer object. The data will be validated and customer updated immediately. You will get a response describing the status and result. The updated customer data will be avalibale immediately. Or:
Use PUT /clients/{clientno}/customers/batches to update a batch of customers; input an array of customer objects. The data will be stored, but not processed immediately. The output will present a batchUuid that you must keep track of. Processing is done asynchronously (later) and the bathcUuid can be used to retrieve the batch processing status and result using GET /clients/{clientno}/batches/{batchuuid}

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
OK. The request succeeded
Bodyapplication/json

🟠422
🟠400BadRequest
🟠403Forbidden
🟠404NotFound
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT '/clients//customers' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "metadata": {
        "userId": "TestUser"
    },
    "customer": {
        "customerNo": "543210",
        "name": "Owe Armstrong",
        "postalAddress": {
            "addressLine1": "C/O ARMchair industries",
            "addressLine2": "707 Arm street",
            "addressLine3": "Appartment 8",
            "postalCode": "1234",
            "cityName": "Oslo",
            "countryText": "Norway",
            "countryCode": "NO"
        },
        "customerCategory": "CONS",
        "emailAddressDocument": [
            "owea@testarmrest.no"
        ],
        "secondaryEmailAddress": [
            "test2.email@testarmrest.no"
        ],
        "phoneNo": "99887766",
        "secondaryPhoneNo": "997755332",
        "organizationNo": "984842252",
        "ssn": "12015641779",
        "ssnCountry": "NO",
        "dateOfBirth": "1956-01-12",
        "yearOfBirth": 1956,
        "informalName": "Oa",
        "customerGroupCode": "VIP",
        "priceNetOrGross": "B",
        "language": "no",
        "currency": "NOK",
        "distribution": {
            "type": "M",
            "einvoiceCode": 0
        },
        "sellerReference": "ARMref",
        "buyerReference": "OA",
        "bankAccountNo": "815013665841",
        "stopReminderUntil": "2026-01-01",
        "stopReminderMemo": "Agreed with customer",
        "stopDebtCollectionUntil": "2026-01-01",
        "stopDebtCollectionMemo": "Agreed with customer",
        "stopInterestCalcUntil": "2026-01-01",
        "stopInterestCalcMemo": "Agreed with customer",
        "efakturaBlockIds": [
            "12345678",
            "23456789",
            "34567890"
        ],
        "peppolBlockIds": [
            "987654321",
            "876543210",
            "976543210"
        ],
        "digipostBlockIds": [
            "owe.armstrong#6UY",
            "bill.lossius#8HM"
        ],
        "dueDays": 17,
        "vatLiable": true,
        "limitAmount": 2000,
        "discountRate": 5.5,
        "activeStatusWeb": "Passive",
        "customerMessage": "Happy holidays!",
        "options": [
            "NoUpdatePostalReturn"
        ]
    }
}'
Response Response Example
200 - Customer updated
{
    "status": "PROCESSED",
    "result": "UPDATED",
    "message": "Customer updated",
    "clientNo": 2218,
    "accountNo": 500002,
    "customerNo": "543210",
    "warnings": [
        {
            "field": "EmailAddressDocument",
            "message": "Email address owea@ testarmrest.no was sanitized: owea@testarmrest.no was s"
        }
    ]
}
Modified at 2026-04-14 09:49:15
Previous
POST (create) one customer
Next
GET a list of customers
Built with